Name: postgresql-odbc
Summary: PostgreSQL ODBC driver.
Version: 08.00.0100
Release: 1.1AX
License: LGPL
Group: Applications/Databases
Url: http://gborg.postgresql.org/project/psqlodbc

Source0: ftp://ftp.us.postgresql.org/odbc/versions/src/psqlodbc-%{version}.tar.gz
Source1: acinclude.m4
Patch0: postgresql-odbc-08.00.0100-unicode.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: unixODBC-devel
BuildRequires: automake autoconf
Requires: postgresql-libs >= 8.0
Provides: postgresql-odbc

Buildroot: %{_tmppath}/%{name}-%{version}-root

# This spec file and ancillary files are licensed in accordance with 
# the psqlodbc license.

%description
This package includes the driver needed for applications to access a
PostgreSQL system via ODBC (Open Database Connectivity).

%prep
%setup -q -n psqlodbc-%{version}
%patch0 -p1 -b .unicode

# Some missing macros.  Courtesy Owen Taylor <otaylor@redhat.com>.

cp -p %{SOURCE1} .
aclocal
libtoolize --force
automake
autoconf

%build
%configure --with-unixodbc --with-odbcinst=%{_sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/psqlodbc.so
%{_libdir}/psqlodbc.la

%changelog
* Thu Mar 19 2005 Shiro Yamada <shiro@miraclelinux.com> 08.00.0100-1.1AX
- rebuild for Asianux
- apply a patch to fix "undefined symbol in ucs2_to_utf8"

* Wed Mar  2 2005 Tom Lane <tgl@redhat.com> 08.00.0100-1
- Update to version 08.00.0100.

* Fri Nov 12 2004 Tom Lane <tgl@redhat.com> 7.3-9
- back-port 64-bit fixes from current upstream (bug #139004)

* Tue Sep 21 2004 Tom Lane <tgl@redhat.com> 7.3-8
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Mar 10 2004 Tom Lane <tgl@redhat.com>
- Correct License: annotation.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Nov 21 2003 David Jee <djee@redhat.com> 7.3-5
- rebuild

* Wed Nov 05 2003 David Jee <djee@redhat.com> 7.3-4
- import new community version 07.03.0200

* Mon Sep 15 2003 Andrew Overholt <overholt@redhat.com> 7.3-3
- autotools fixes (courtesy Alex Oliva <aoliva@redhat.com> and 
  Owen Taylor <otaylor@redhat.com>)

* Tue Jul 08 2003 Andrew Overholt <overholt@redhat.com> 7.3-3
- allow use with unixODBC (courtesy Troels Arvin) [Bug #97998]

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 02 2003 Andrew Overholt <overholt@redhat.com> 7.3-1
- sync to new community version (07.03.0100 => v7.3, r1)

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 1-2
- rebuild

* Tue Jan 14 2003 Andrew Overholt <overholt@redhat.com>
- 1-1
- initial build (just took old package sections)
